Bug 653199 - SELinux is preventing /usr/sbin/ssmtp "create" access on dead.letter.
Summary: SELinux is preventing /usr/sbin/ssmtp "create" access on dead.letter.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:8ff909b9aa5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 00:19 UTC by dogs1985
Modified: 2010-11-21 22:00 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.9.7-12.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-21 22:00:14 UTC
Type: ---


Attachments (Terms of Use)

Description dogs1985 2010-11-15 00:19:18 UTC
Summary:

SELinux is preventing /usr/sbin/ssmtp "create" access on dead.letter.

Detailed Description:

SELinux denied access requested by sendmail. It is not expected that this access
is required by sendmail and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:system_mail_t:s0-s0:c0.c1023
Target Context                system_u:object_r:mail_home_t:s0
Target Objects                dead.letter [ file ]
Source                        sendmail
Source Path                   /usr/sbin/ssmtp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ssmtp-2.61-15.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-10.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux Akira-Laptop 2.6.35.6-48.fc14.x86_64 #1 SMP
                              Fri Oct 22 15:36:08 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Sun 14 Nov 2010 07:01:11 PM MYT
Last Seen                     Mon 15 Nov 2010 08:01:12 AM MYT
Local ID                      b2545548-bb24-40af-acf5-debaa238a6b4
Line Numbers                  

Raw Audit Messages            

node=Akira-Laptop type=AVC msg=audit(1289779272.177:21599): avc:  denied  { create } for  pid=8995 comm="sendmail" name="dead.letter" scontext=system_u:system_r:system_mail_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mail_home_t:s0 tclass=file

node=Akira-Laptop type=SYSCALL msg=audit(1289779272.177:21599): arch=c000003e syscall=2 success=no exit=-13 a0=2647450 a1=441 a2=1b6 a3=0 items=0 ppid=8972 pid=8995 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=11 comm="sendmail" exe="/usr/sbin/ssmtp" subj=system_u:system_r:system_mail_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,sendmail,system_mail_t,mail_home_t,file,create
audit2allow suggests:

#============= system_mail_t ==============
allow system_mail_t mail_home_t:file create;

Comment 1 Daniel Walsh 2010-11-15 16:10:35 UTC
Miroslav add

allow system_mail_t mail_home_t:file manage_file_perms;

Comment 2 Miroslav Grepl 2010-11-15 16:23:28 UTC
Fixed in selinux-policy-3.9.7-13.fc14

Comment 3 Fedora Update System 2010-11-19 13:22:01 UTC
selinux-policy-3.9.7-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-12.fc14

Comment 4 Fedora Update System 2010-11-19 22:40:19 UTC
selinux-policy-3.9.7-12.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-12.fc14

Comment 5 Fedora Update System 2010-11-21 21:58:38 UTC
selinux-policy-3.9.7-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.